# FlexibleTask

Represents a flexible task assignment on SMHW.

## Constructor

#### new FlexibleTask(client, response)

Istantiate a FlexibleTask object.

Parameters:

Name | Type | Description
--- | --- | ---
`client` | Client | The client that is instantiating the object.
`response` | Object | The data for the object.

Source:
  - structures/FlexibleTask.js, line 14

### Members

#### bookstore_content_ids :Array.<Number>

Type:

- Array.<Number>

Source:
  - structures/FlexibleTask.js, line 20

#### duration :String

The duration of the flexible task.

Type:

- String

Source:
  - structures/FlexibleTask.js, line 26

#### duration_units :String

The duration units of the flexible task.

Type:

- String

Source:
  - structures/FlexibleTask.js, line 32

#### marking_scheme_id :Number

The ID of the marking scheme used for the flexible task.

Type:

- Number

Source:
  - structures/FlexibleTask.js, line 38

#### submission_type :String

The name of the submission method to use.

Type:

- String

Source:
  - structures/FlexibleTask.js, line 44

#### type :String

The assignment type.

Type:

- String

Source:
  - structures/FlexibleTask.js, line 50

### Methods

#### getSubmission() → {Promise.<FlexibleTaskSubmission>}

Get the client user's submission to the flexible task.

Source:
  - structures/FlexibleTask.js, line 57

Returns:

Type
  Promise.<FlexibleTaskSubmission>

#### getSubmissionComments(idsopt) → {Promise.<Array.<FlexibleTaskSubmissionComment>>}

Get comments made on flexible task submissions.

Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`ids` | Array.<Number> | <optional> | The IDs of the submission comments to retrieve.

Source:
  - structures/FlexibleTask.js, line 75

Returns:

Type
  Promise.<Array.<FlexibleTaskSubmissionComment>>

#### getSubmissions(idsopt) → {Promise.<Array.<FlexibleTaskSubmissions>>}

Get submissions to the flexible task.

Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`ids` | Array.<Number> | <optional> | The IDs of the flexible task submissions to retrieve.

Source:
  - structures/FlexibleTask.js, line 66

Returns:

Type
  Promise.<Array.<FlexibleTaskSubmissions>>